Page MenuHomePhabricator

Newsletter extension: Technical review
Closed, ResolvedPublic

Event Timeline

Tinaj1234 raised the priority of this task from to Medium.
Tinaj1234 updated the task description. (Show Details)
Tinaj1234 added subscribers: Tinaj1234, Bawolff.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptAug 26 2015, 6:26 PM
Tinaj1234 added a subscriber: Qgil.Aug 27 2015, 5:28 AM

I would suggest marking the tasks in https://www.mediawiki.org/wiki/User:Bawolff/review/Newsletter 'Done' or 'Patched' depending on the status.

@Qgil Do you think instead we should create phabricator tasks ? ( There will be quite a lot )

Tinaj1234 set Security to None.Aug 27 2015, 5:41 AM
Tinaj1234 added subscribers: Addshore, Glaisher, Ricordisamoa.
Qgil added a comment.Aug 27 2015, 6:35 AM

Marking items as {{done}} in the wiki page is enough. If there are items that take a significant amount of work, or are depending on existing Phabricator tasks, then we can create new tasks for them.

Qgil lowered the priority of this task from Medium to Low.Aug 28 2015, 11:32 AM

Marking as Low priority only because we have agreed to focus first in T110642: Implement all the features required for running the Newsletter extension in Wikimedia.

Qgil raised the priority of this task from Low to Medium.Oct 22 2015, 10:53 AM

From today's weekly meeting:

<tinajohnson> So basically we have https://phabricator.wikimedia.org/T110491 and https://phabricator.wikimedia.org/T108301 left to finish off all the features
<tinajohnson> so the feature complete section will be done soon !
<qgil> tinajohnson, the two tasks you are linking look like "minor"
<qgil> I'm thinking when can we start the request
<tinajohnson> qgil: yeah they are
<addshore> I'll try and have another look over the whole extension in the next few days and see if anything catches my eye that needs to be done
<tinajohnson> qgil: hm, I'm guessing by the next meeting
<tinajohnson> addshore: Thanks!
<qgil> ok, sounds good.
<tinajohnson> qgil: I say next week, because we need to get the patches reviewed as well and new requests might come in any time
<tinajohnson> one of them has patch submitted
<qgil> Maybe we don't need to have everything fixed/reviewed before starting the technical review
<qgil> because that process will take time
<qgil> and we (well, you) :) can keep working while we get the feedback
<tinajohnson> oh okay, so do you want to start it before next Thursday ?
<qgil> No, I think next Thursday is fine
<tinajohnson> Great (exams end on Wednesday :))
<qgil> Meanwhile we can discuss at https://phabricator.wikimedia.org/T110366 whether there are any strict blocker for starting the technical review
<tinajohnson> sure
<qgil> (I s there a time of the year when Indian students are not doing exams?) :D
<tinajohnson> probably not :)
<tinajohnson> https://phabricator.wikimedia.org/T110491 is a blocker for sure
<qgil> I have to check the technical review process in detail, but maybe we can start with a list of known bugs identified.
<qgil> I mean, only the security review will take waiting time, that is why I want to start soon, now that UI and feature-wise it is basically complete
<tinajohnson> When you say bugs, the ones that are not in here ? https://phabricator.wikimedia.org/tag/mediawiki-extensions-newsletter/
<qgil> No, I mean those
<qgil> but the technical review will not bother about all of them
<tinajohnson> ah okay

@Qgil as this is a subtask of the deployment goal I assume it is complete and can be closed?

Qgil closed this task as Resolved.Jun 30 2017, 12:23 PM
Qgil claimed this task.

I think all relevant technical issues have been resolved. If new technical issues are found, they should be submitted as new tasks.